REST APIWallet & TransactAddress

GET

List addresses by sorted balances on a wallet. Supported coins: TRX.

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • walletId string required

    matches ^[0-9a-f]{32}$

Query Params

  • page string number
    page number

    >= 1

    Defaults to 1

  • limit string number
    Maximum number of results to return

    >= 1 · <= 500

    Defaults to 500

  • sort string enum
    Sort order of returned addresses based on balance. (1 for ascending, -1 for descending)

    Defaults to -1

    1-1
  • token string
    Name of the token for which the addresses need to be fetched
  • nftCollectionId string
    NFT collection ID for which the addresses need to be fetched
  • nftId string
    NFT ID for which the addresses need to be fetched

Responses

200
OK

Response Body

object

Represents the result of a query for addresses with balances. This structure contains the details of a set of addresses, their associated balances, and pagination information about the query results.
  • coin string required
    The coin associated with the address balances
  • page number
    The current page number
  • totalAddressCount number
    Total number of addresses present
  • totalPages number
    Total number of pages available for pagination
  • addresses array of objects
    addresses object
    • chain number enum required
      011011202130314041
    • coin string required
      A cryptocurrency symbol or token ticker symbol
    • index number required
    • wallet string required
    • id string
      Platform public ID for an address

      matches ^[0-9a-f]{32}$

    • address string

      up to 250 characters

    • balance object
      balance object
      • balanceString string required
        String representation of the balance. Guaranteed to not lose precision.
      • confirmedBalanceString string required
        The total balance of confirmed transactions for the address (in the chain's base unit). Guaranteed to not lose precision.
      • spendableBalanceString string required
        The total balance of the address (in the chain's base unit) which may be used as inputs for creating new transactions in string representation. Guaranteed to not lose precision.
      • updated string
        The last time a transaction affected the balance of this address
      • balance number
      • lockedBalanceString string
      • reservedBalanceString string
      • totalReceived number
        The total amount received on this address (in the chain's base unit)
      • totalSent number
        The total amount sent from this address (in the chain's base unit)
      • transferCount number
      • tokens map of objects
        tokens object
        • <key> object
      • nfts map of objects
        nfts object
        • <key> object
      • unsupportedNfts map of objects
        unsupportedNfts object
        • <key> object
      • type object
      • metadata object
    • coinSpecific object
      Properties specific to certain coin types

      ONE OF

      • rootAddress string required
      • trustedTokens array of objects
        trustedTokens object
        • state string enum
          pendingactive
        • limit string
        • token string
      • addressVersion number
      • threshold number
      • bitgoKey object
      • bitgoPubKey string
    • label string
      A human-readable label for the address

      up to 250 characters

    • lastNonce number

      Defaults to -1

    • token string
    • proof string
    • signature string
    • lastConsolidatedTime string date
    • needsConsolidation boolean
    • tokenConsolidationState object
    • tokenAddress object
  • message string
    Optional message from the response
  • count number
    Count of the addresses in the current response
202
Accepted

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id